<?php
/*
   +---------------------------------------------------------------------+
   | phpTournois                                                         |
   +---------------------------------------------------------------------+
   | Copyright(c) 2001-2004 Li0n, RV, Gougou (http://www.phptournois.net)|
   +---------------------------------------------------------------------+
   | This file is part of phpTournois.                                   |
   |                                                                     |
   | phpTournois is free software; you can redistribute it and/or modify |
   | it under the terms of the GNU General Public License as published by|
   | the Free Software Foundation; either version 2 of the License, or   |
   | (at your option) any later version.                                 |
   |                                                                     |
   | phpTournois is distributed in the hope that it will be useful,      |
   | but WITHOUT ANY WARRANTY; without even the implied warranty of      |
   | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       |
   | GNU General Public License for more details.                        |
   |                                                                     |
   | You should have received a copy of the GNU General Public License   |
   | along with AdminBot; if not, write to the Free Software Foundation, |
   | Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       |
   |                                                                     |
   +---------------------------------------------------------------------+
   | Authors: Li0n  <li0n@phptournois.net>                               |
   |          RV <rv@phptournois.net>                                    |
   |          Gougou                                                     |
   +---------------------------------------------------------------------+
*/

// gestion des dates
define('DAY_POS','2'); // en fr, le position du jour est 1 => 27/xx/xxxx
define('MONTH_POS','1'); // en fr, le position du mois est 2 => xx/02/xxxx
define('YEAR_POS','3'); // en fr, le position de l'ann&eacute;e est 3 => xx/xx/2002

// date d'affichage
define('DATESTRING','%m/%d/%Y %H:%M');
define('DATESTRING1','%m/%d/%Y at %H:%M');
define('DATESTRING2','%m/%d/%Y');

$strPasDeTableau = "No group found";

$strJoueursConsignes = '<li>Definitive registration of a player (from state \'pre-registered\' to state \'regitered\') is done by the admin when all is OK (payment, fee, etc).
<li>Only \'registered\' players could participate to solo tournaments.';

$strEquipesConsignes = '<li>Definitive validation of a team (from state \'pre-registered\' to state \'regitered\') is done by the admin when all is OK (complete team, players ALL registered, payment, etc).
<li>Only \'registered\' teams could participate to team tournament.
<li>Column \'Registered\' format is "registered players number - pre-registered players number"';

$strRapporterConsignes = '<li>Only the both managers of the teams (or the solo players) could enter or validate the score.
(For example, the looser enter the score, and the winner validate or the contrary)';

$strRejoindreEquipesConsignes = '<li>Fields marqued  <font color=red>*</font> are necessary.
<li>You should ask your team password to your manager to join your team.';

$strHorairesTournoisConsignes = '<li>Date format is "dd/mm/yyyy hh:mm" or just "hh:mm" for today.
<li>Dates update will only be done or hidden or active matches.';

$strMapsTournoisConsignes = '<li>Maps update will only be done for hidden or active matchs.';

$strServeursTournoisConsignes = '<li>Usable servers are those defined in the general administration for the game of the current tournament.
<li>Servers update will only be done for hidden or active matches.';

$strAdminSponsorsConsignes = '<li>Fileds marqued  <font color=red>*</font> are necessary.
<li>Sponsors\' pictures are in folder "images/sponsors".';

$strAdminLiensConsignes = '<li>Fileds marqued  <font color=red>*</font> are necessary.
<li>Links\' pictures are in folder "images/liens".';

$strAdminJeuxConsignes = '<li>Fileds marqued  <font color=red>*</font> are necessary.
<li>Games\' pictures are in the folder "images/jeux".';

$strIRCMessage = 'IRC (Internet Relay Chat) is a real-time chat network.<br><br>
You can join us on server\'s (%serveur%) channel(s) %chans% with an external softwre: <a href="irc://%serveur%/%chan%"><img src="images/icon_irc.gif" border="0" align="absmiddle"></a><br><br>
or<br><br>
with the java applet directly included in this site thanks to the link below:';

$strUploadFichierConsignes = '<li>Field marqued  <font color=red>*</font>  is necessary.
<li>Maximum file size: ';

$strRapporterResultats = 'Report results';
$strMatchAttenteResultats = 'Matches with pending results';
$strMatchAttenteValidation = 'Matches with pending validation';
$strTournoisEnCours = 'Tournaments in progress';
$strTournoisTermines = 'Tournaments finished';
$strValiderScore = 'Validate score';
$strRefuserScore = 'Refuse score';
$strValidation = 'Validation';
$strConflit = 'Conflict';
$strAssignerPoules = "Assign according to the group's ranking"; 
$strMethodeRandom = '\'random\' method';
$strMethodeSeed = '\'seeded\' method';
$strMethodeCroise = '\'crossed\' method';
$strPageDecharge = '\'discharge\' page';
$strConditionsGenerales = 'General conditions';
$strJeRefuse = 'I refuse';
$strJAccepte = 'I accept';
$strErreurMatchABPresent = 'Match in AB database found!';
$strErreurMatchM4Present = 'Match in M4 database found!';
$strRecupOk = "Recovery OK!";
$strDans = 'in';
$strAuto = 'Auto';
$strRecupMatchAuto = 'Automatic recovery of the matches of ';
$strChangerElimination = 'Are you sure to want to change the tournament tree\\\'s type ?';
$strConfirmDesincrireTeam = 'Are you sure to want to unregister your team for this tournament ?';
$strConfirmDesincrire = 'Are you sure to want to unregister yourself for this tournament ?';
$strSeDesinscrire = 'Unregister';
$strDesinscrire = 'Unregister';
$strAppletPJIRC = 'Java applet PJIRC';
$strPopup = 'Popup';
$strDevenirPartenaire = 'To become partner';
$strInscriptionsEquipes = 'Teams registration';
$strInscriptionsJoueurs = 'Players registration';
$strInstall = 'Installation';
$strFloodDetect = 'You must wait '.$config['flood_time'].' seconds before you can retry this operation';
$strErreurNbPlaces = 'Number of places must be greater than 0';
$strErreurJoueurAppartient = 'The player is already a member of this team';
$strInscriptionsTournoisConsignes = '<li>Tournament registrations are open only for registered/validated players/team.';
$strRejoindreUneEquipe = 'Join a team';
$strRejoindreCetteEquipe = 'Join this team';
$strPasswordRejoindre = 'Password<br>(to join)';
$strPasDeFonctionMail = 'Sorry but mail fonction is desactivated';
$strContactMessageEmail = 'This is a contact message from %nomsite% site where';
$strInstallStage1 = 'Databases configuration';
$strInstallStage1Consignes = 'Please entrer databases parameters';
$strInstallStage1Consignes2 = 'Click here to configure';
$strInstallStage2 = 'phpTournois configuration';
$strInstallStage2Consignes = 'Please enter the name and the url of your site and select the type of installation';
$strInstallStage2Consignes2 = 'Please enter the login and password of the admin account';
$strInstallStage3 = 'Congratulation! phpTournois is correctly installed.';
$strInstallStage3Consignes = '<div align=left><blockquote>When using phpTournois, remember that this is free software released under the <b>QPL License</b>.<br>
So you must repect the following conditions : <br>
<li> Free software doesn\'t mean that you can do what you want with (1st condition)<br>
<li> It is strictly forbiden to remove complete or part of the lines witch refer to the authors (2nd condition)<br>
<li> It is strictly forbiden to remove or change the copyrights</b> (3rd condition) By removing or modifying this lines, you expose yourselves to justice proceedings.<br>
<li> You <b>must</b> publish the modifications which you carried out on the code (in the forum for exemple) and the team reserve right as of re-using them (4th condition)<br>
<li> QPL licence prevent you to fork phpTournois (4th condition)<br>
</blockquote></div>Consult the files INSTALL & README for more informations about phpTournois.<br><br>Click here to go to your fresh installation : <a href=index.php>GO !</a>';
$strInstallStage3DelInstall = 'Warning! the file install.php can\'t be deleted<br><u>For your site security,</u> it is <u>STRONGLY RECOMMANDED</u> to delete this file manually';
$strFichierSqlManquant = 'Missing Sql file';
$strPaypal = 'Make a donation to this site via PayPal is fast and free !';
$strPermissionInvalideConfigFile = 'Configuration file does not have write permission';
$strOuvertureInvalideConfigFile = 'Cannot open configuration file';
$strEcritureInvalideConfigFile = 'Cannot write configuration file';
$strPageDemarrage = 'Start page';
$strDBHost = 'Mysql hostname';
$strDBUser = 'Mysql user';
$strDBPass = 'Mysql password';
$strDBName = 'Mysql database name';
$strDBPrefix = 'Table prefix';
$strVersion = 'Version';
$strPasDeServeur = 'No server found';
$strPasDEquipe = 'No team found';
$strPasDeJoueur = 'No player found';
$strPasDeTournoi = 'No tournament found';
$strMoi = 'Me';
$strMatchsTermines = 'Finished matches';
$strMatchsCaches = 'Hidden matches';
$strElementsManagerInvalide = 'Invalid manager';
$strNouvelleEquipe = 'New team';
$strCachee = 'Hidden';
$strCaches = 'Hidden';
$strCachees = 'Hidden';
$strLeader= 'Leader';
$strWarArranger = 'Waranger';
$strMembre = 'Member';
$strRecrue = 'Newbie';
$strInactif = 'Inactive';
$strExMembre = 'ex-member';
$strModifierDownload = 'Modify this download';
$strModifierSponsors = 'Modify this sponsor';
$strModifierTournois = 'Modify this tournament';
$strModifierLiens = 'Modify this link';
$strModifierPartenaires = 'Modify this partner';
$strValide = 'Valid';
$strIncomplete = 'Incomplete';
$strTableau = 'Table';
$strChangerStatusEquipe = 'Are you sure to want to change this team\\\'s status ?';
$strDonation = 'Donation';
$strYIM = 'YIM';
$strFonction = 'Fonction';
$strMail = 'Mail';
$strSmtp = 'Smtp';
$strSmtpServeur = 'Server';
$strSmtpUser = 'SMTP user';
$strSmtpPassword = 'SMTP password';
$strOptionsMail = 'Mail options';
$strThemeDefaut = 'Default theme';
$strMessageEnvoi = 'The message has been sent succefully.';
$strErreurMessageEnvoi = 'The message cannot be sent.';
$strConfirmIncrireTeam = 'Are you sure to want to register your team at this tournament ?';
$strConfirmSIncrire = 'Are you sure to want to register yourself at this tournament ?';
$strPreInscription = 'Pre-registration';
$strEnAttente = 'Pending';
$strEquipeValidee = 'validated teams';
$strEquipeEnAttente = 'pending teams';
$strValidee = 'Validated';
$strValidees = 'Validated';
$strAttenteMail = 'Pending mail';
$strSteam = 'Steam';
$strPartenaires = 'Partners';
$strWWW = 'Web';
$strAvatar = 'Avatar';
$strAvatars = 'Avatars';
$strModifierAvatar = 'modify this avatar';
$strConfirmEffacerAvatar = 'Delete this avatar ?';
$strCreerEquipe = 'Create a team';
$strPageGeneree = 'Page generated in';
$strSecondes = 'seconds';
$strAvatarUploadLocal = 'Send a local avatar';
$strAvatarUploadRemote = 'Send a remote avatar';
$strAvatarLienRemote = 'Link a remote avatar';
$strSousCategories = 'Sub categories';
$strPermissionInvalide = 'Invalid permissions';
$strGalerieInconnue = 'Unknown gallery';
$strGalerie = 'Gallery';
$strPasDImage = 'No image found';
$strImageInconnue = 'Unknown image';
$strImages = 'Images';
$strGDAbsent = 'Missing GD library on this server';
$strExtensionNonSupporte = 'Extension not allowed';
$strNewsEnvoiSubject = '[%nomsite%] News !!';
$strNewsEnvoiMessage = 'This is un news from <b>%nomsite%</b> site whitch can be interresting for you : <br><br>%link%';
$strNewsEnvoiConfirm = 'An email has been sent to you friend !';
$strEnvoyerNews = 'Send this news';
$strVotreEmail = 'Your email';
$strSonEmail = 'Frined\'s email';
$strOptionsAvatars = 'Avatars options';
$strAvatarUpload = 'Avatars upload';
$strAvatarRemote = 'Remote avatars';
$strAvatarGallerie = 'Avatars gallery';
$strAvatarTailleMax = 'Max size';
$strAvatarDimensionsMax = 'Max Size';
$strPixels = 'pixels';
$strVoirGallerie = 'Show the gallery';
$strElementsEmailExistant = 'Existing email';
$strAvatarErreurUrl = 'URL is not correct !';
$strAvatarErreurConnexion = 'The server cannot connect to the url for downloading !';
$strAvatarErreurData = 'URL don\'t  !';
$strAvatarErreurWrite = 'Write forbidden on this server!';
$strAvatarErreurFileSize = 'The image file size is invalid ';
$strAvatarErreurFileType = 'The image type is invalid ';
$strAvatarErreurXYSize = 'The image dimensions are invalid ';
$strEnLigne = 'Online';
$strAdminsEnLigne = 'Admins online';
$strPublicEnLigne = 'Public online';
$strQuiEnLigne = 'Who is online';
$strVisiteurs = 'Visitors';
$strMembres = 'Members';
$strTotal = 'Total';
$strSans = 'Without';
$strArticleDuSite = 'This article came from the site';
$strURLArticle = 'The URL of this article is';
$strSeRappeler = 'Remember';
$strNvPassIdent = 'The new password must be equal!';
$strResetPass = 'Password reset';
$strOubliPass = 'Forgotten password ?';
$strEnvoiPass = 'Request email with password';
$strCodeConfirmation = 'Confirmation code';
$strElementsJoueurInvalide = 'Invalid player';
$strElementsEquipeInvalide = 'Invalid team';
$strElementsCodeInvalide = 'Invalid code';
$strPasswordEmailCode = '[%nomsite%] Code for the new password';
$strPasswordEmailCodeMessage = 'You request a new password via email.<br><br>You must enter this code just after your pseudo : <b>%code%</b><br><br>PS: If you are not at the origin of the password request, please ignore this email!';
$strPasswordMessageCode = 'The code for requesting a new password has been sent to you by email!';
$strPasswordEmail = '[%nomsite%] New password';
$strPasswordEmailMessage = 'This is the new password for your account : <b>%passwd%</b><br><br>Don\'t forget to change it as soon as possible!';
$strPasswordMessage = 'Your new password has been seen to you by email!';
$strPasswordMessageAdmin = 'The new password is : <b>%passwd%</b><br><br>It has been sent to the account owner by email too!';
$strPasswordEnvoiConsignes = '<li>Enter your pseudo and click on the \'send\' button. An automatic email with a code will be sent to you. <li>Re-enter your pseudo and this code and you will receive a new password by email.';
$strAdminPartenaires = 'Partner administration';
$strAjouterPartenaire = 'Add a partner';
$strConfirmEffacerPartenaire = 'Delete this partner ?';
$strPartenaireDepuisLe = 'Partner since ';
$strPasDePartenaires = 'No partner found';
$strPasDeSponsor = 'No sponsor found';
$strSponsor = 'Sponsor';
$strEnSavoirPlus = 'Read more...';
$strSite = 'Site';
$strSuite = 'Next...';
$strCategories = 'Categories';;
$strPetite = 'small';
$strGrande = 'wide';
$strErreur404 = '404 error !';
$strErreur404Explain = 'The requested page is not recheable...';
$strLoguePourPoster = 'For site security, you must be logged for posting comments';
$strMatchInvalide = 'Invalid match !';
$strCommentairesMatch = 'Match comments';
$strModeCommentaire = 'Comments';
$strPasDeCommentaire = 'No comment found';
$strConfirmEffacerFile = 'Delete this file ?';
$strAjouteLe = 'Add the';
$strFichier = 'File';
$strFichierInvalide = 'Invalid file';
$strUploaderFichier = 'Upload file in  ';
$strParticipePourPoster = 'Vous must be a member of one of the 2 teams or a player of this match in order to post comment.';
$strManagerPourUploader = 'Vous must be the manager of one of the 2 teams or a player of this match in order to post file.';
$strTournoisParticipe = 'Play tournaments';
$strTournoisAParticipe = 'Played tournaments';
$strModeMatchScore = 'Match mode';
$strFragAverage = 'Pure frags';
$strRoundAverage = 'Pure round';
$strRoundAverageFragAverage = 'Round and frags';


$PHPMAILER_LANG = array();
$PHPMAILER_LANG["provide_address"] = 'You must provide at least one recipient email address.';
$PHPMAILER_LANG["mailer_not_supported"] = ' mailer is not supported.';
$PHPMAILER_LANG["execute"] = 'Could not execute: ';
$PHPMAILER_LANG["instantiate"] = 'Could not instantiate mail function.';
$PHPMAILER_LANG["authenticate"] = 'SMTP Error: Could not authenticate.';
$PHPMAILER_LANG["from_failed"] = 'The following From address failed: ';
$PHPMAILER_LANG["recipients_failed"] = 'SMTP Error: The following recipients failed: ';
$PHPMAILER_LANG["data_not_accepted"] = 'SMTP Error: Data not accepted.';
$PHPMAILER_LANG["connect_host"] = 'SMTP Error: Could not connect to SMTP host.';
$PHPMAILER_LANG["file_access"] = 'Could not access file: ';
$PHPMAILER_LANG["file_open"] = 'File Error: Could not open file: ';
$PHPMAILER_LANG["encoding"] = 'Unknown encoding: ';



$strM4Admin = 'M4';
$strABAdmin = 'AdminBot-MX';
$strValidationEmail = 'Email validation';
$strModeFichier = 'Attached files';
$strA = 'at'; // scheduling: at 19:00 PM
$strAEcrit = 'wrote';
$strAIM = 'AIM';
$strAccueil = 'Home';
$strActif = 'Active';
$strActivationInvalide = 'Invalid Activation';
$strActiverMatch = 'Activate matchs';
$strAdmin = 'Admin';
$strAdminBot= 'AdminBot-MX';
$strAdminDownloads = 'Downloads administration';
$strAdminEquipes = 'Teams administration';
$strAdminFinales = 'Finales administration';
$strAdminHoraires = 'Schedule administration';
$strAdminJeux = 'Games administration';
$strAdminJoueurs = 'Players administration';
$strAdminLiens = 'Links administration';
$strAdminLivreDor = 'Guest Book administration';
$strAdminMaps = 'Maps administration';
$strAdminMatchsPoules = 'Groups matchs administration';
$strAdminNews = 'News administration';
$strAdminPoules = 'Groups administration';
$strAdminServeurs = 'Servers administration';
$strAdminSponsors = 'Sponsors administration';
$strAdminTournois = 'Tournament administration';
$strAdministrateur = 'Admin';
$strAdministrateursTournois = 'Tournament administrators';
$strAdmins = 'Admins';
$strAdresse = 'Address';
$strAge = 'Age';
$strAjouter = 'Add';
$strAjouterCommentaire = 'Add a comment';
$strAjouterEquipe = 'Add team';
$strAjouterFichier = 'Add a file';
$strAjouterJeu = 'Add game';
$strAjouterJoueur = 'Add player';
$strAjouterLien = 'Add a link';
$strAjouterMap = 'Add map';
$strAjouterNews = 'Add a news';
$strAjouterServeur = 'Add a server';
$strAjouterSignature = 'Add a signature';
$strAjouterSponsor = 'Add a sponsor';
$strAjouterTournois = 'Add tournament';
$strAleatoire = 'Random';
$strAllowJoinTeam='Allow to join a team';
$strAllowPrivateMessage='Allow private message';
$strAn = 'year';
$strAncienPass = 'Old password';
$strAncienPassInvalid = 'Invalid old password';
$strAnnuler = 'Cancel';
$strAssignerAleatoirement = 'Proceed randomly';
$strAssignerInscriptionSeed = 'Assign according to the inscription seed';
$strAutoajoutTeam='Disponibilit&eacute;';
$strAutoMp='Messagerie';
$strAutoStart= 'AutoStart';
$strAutorefresh = 'Auto-refresh';
$strAutoscroll = 'Auto-scroll';
$strAvecDemo = 'demo';
$strAvg = 'Avg';
$strBLACK = 'Black';
$strBLUE = 'Blue';
$strBROWN = 'Brown';
$strCYAN = 'Cyan';
$strCache = 'Hidden';
$strCalendrier = 'Calendar';
$strCalendrierMatchs = 'Matchs planing';
$strCamps = 'Camps';
$strManager = 'Manager';
$strManagers= 'Managers';
$strCarteGraphique = 'Graphic card';
$strCategorie = 'Categorie';
$strCentrer = 'Centered';
$strChampionnat = 'Championship';
$strChangerDevise = 'Change the motto';
$strChangerFinales = 'Are you sure to want to change the start of finals  ? \n\n(WARNING, this operation erase the final tree)';
$strChangerLooser = 'Are you sure to want to change the start of looser finals ? \n\n(WARNING, this operation erase the looser tree)';
$strChangerPoules = 'Are you sure to want to change the number of groups ? \n\n(WARNING, this operation erase all groups matchs)';
$strChangerStatusTournois = 'Are you sure to want to change the tournament\\\'s status ? \n\n(WARNING, this operation is recommanded for power admins only)';
$strChangerStatusJoueur = 'Are you sure to want to change this player\\\'s status ?';
$strChangerStatusParticipe = 'Are you sure to want to modify this inscription\\\'s status ? \n\n(WARNING, this operation alter matchs and final trees)';
$strChercherJoueur = 'Search a player';
$strChoisirAuHasard = 'Choose randomly';
$strCloturerInscriptions = 'Close registrations ?';
$strCloturerLesInscriptions = 'Are you sure to want to close registrations ?';
$strCode = 'Code';
$strCodePostal = 'Zip Code';
$strCocheforwrite1 = 'Rewrite config.php file ?';
$strCocheforwrite2 = 'Rewrite config.m4.php file ?';
$strCocheforwrite3 = 'Rewrite config.ab.php file ?';
$strColorerCode='Display syntaxed code';
$strCommentaires = 'Comments';
$strConfiguration = 'Configuration';
$strConfirm = 'Confirm';
$strConfirmEffacerCommentaire = 'Delete this comment ?';
$strConfirmEffacerDownload = 'Delete this download ?';
$strConfirmEffacerEquipe = 'Delete this team ?';
$strConfirmEffacerJeux = 'Delete this game ?';
$strConfirmEffacerJoueur = 'Delete this player ?';
$strConfirmEffacerLien = 'Delete this link ?';
$strConfirmEffacerMap = 'Delete this map ?';
$strConfirmEffacerMessage = 'Delete this message ?';
$strConfirmEffacerNews = 'Delete this news ?';
$strConfirmEffacerServeur = 'Delete this server ?';
$strConfirmEffacerSignature = 'Delete this signature ?';
$strConfirmEffacerSponsor = 'Delete this sponsor ?';
$strConfirmEffacerTournois = 'Delete this tournament ?';
$strConnecte = 'Connected';
$strConnecter = 'Log in';
$strConnexion = 'Log in';
$strConnexionImpossible = 'Database connection failed!';
$strConsignes = 'Tips';
$strContact = 'Contact';
$strContactDown = "<u>ClubRezo</u><br>Ecole Polytechnique de l'Universit&eacute; de Nantes<br>rue Christian Pauc<br>44300 Nantes FRANCE<br>Email : <a href=\"mailto: $config[emailcontact]\"><b><u>$config[emailcontact]</u></b></a>";
$strContactUp = 'For contact us, you can use you favorite email client <a href="mailto: %email%"><img src="images/icon_email.gif" border="0" align="absmiddle"></a> or you can fill this form:';
$strContenu = 'Contents';
$strCouleur = 'Color';
$strCoupe = 'Cup';
$strCreationImpossible = 'Creation of phptournois database failed!';
$strCreer = 'Create';
$strCustTheme = 'Theme selector';
$strDARKBLUE = 'Dark blue';
$strDARKED = 'Dark red';
$strDate = 'Date';
$strDe = 'From';
$strDeconnexion = 'Log out';
$strDerniersTitres = 'Last titles';
$strDescription = 'Description';
$strDestinataire = 'Recipient';
$strDestinataires = 'Recipients';
$strDevise = 'Motto';
$strDispute = 'Play';
$strDisqualifie = 'Disqualified';
$strDotations = 'Prizes';
$strDoubleElimination='Double';
$strDownloads = 'Downloads';
$strE = 'E'; // E for Edit
$strEMail = 'E-Mail';
$strEcrireMessage = 'Write a message';
$strEditerJoueur='Edit user status';
$strEffacer = 'Erase';
$strEditer = 'Edit';
$strElementsAdresseInvalide = 'Invalid address';
$strElementsAgeInvalide = 'Invalid age';
$strElementsAuteurInvalide = 'Invalid author';
$strElementsCatInvalide = 'Invalid Order';
$strElementsContenuInvalide = 'Invalid content';
$strElementsDescriptionInvalide = 'Invalid description';
$strElementsDestinataireInvalide = 'Invalid recipient';
$strElementsEmailInvalide = 'Invalid email';
$strElementsEquipeExistante = 'Existing team';
$strElementsFinalesInvalides = 'Invalid \'Winner\' finals';
$strElementsFinalesLooserInvalides = 'Invalid \'Looser\' finals';
$strElementsIconeInvalide = 'Invalid icon';
$strElementsImageInvalide = 'Invalid image';
$strElementsIncorects = 'One or more elements are not correct';
$strElementsJeuxInvalide = 'Invalid game';
$strElementsJoueurExistant = 'Existing player';
$strElementsServerNameInvalide='Invalid server name';
$strElementsServerIpInvalide='Invalid Server IP';
$strElementsNewsInvalide = 'Invalid news';
$strElementsNomInvalide = 'Invalid name';
$strElementsOrigineInvalide = 'Invalid origin';
$strElementsPasswordInvalide = 'Invalid Password';
$strElementsPortInvalide = 'Invalid Port';
$strElementsPoulesInvalides = 'Invalid groups';
$strElementsPrenomInvalide = 'Invalid firstname';
$strElementsPseudoInvalide = 'Invalid nickname';
$strElementsSigleInvalide = 'Invalid tag';
$strElementsTagInvalide = 'Invalide tag';
$strElementsTailleInvalide = 'invalid size';
$strElementsTitreInvalide = 'Invalid title';
$strElementsUrlInvalide = 'Invalid URL';
$strElementsVilleInvalide = 'Invalid town';
$strEmailContact = 'Contact email';
$strEmailInscription = 'Registration email';
$strEmetteur = 'Sender';
$strEnCours = 'Playing';
$strEnvoyer = 'Send';
$strEquipe = 'Team';
$strEquipes = 'Teams';
$strEquipesInscrits = 'Registered teams';
$strErreur = 'ERROR';
$strErreurDeSaisie = 'Mistake detected !';
$strErreurEquipeManquante = 'Missing teams';
$strErreurLogin = 'Authentication failure!';
$strErreurMancheActive = 'No active round! at least one round must be created and activated.';
$strErreurMapManquante = 'Missing map!';
$strErreurMatchM4Manquant = 'Missing match in AB database!';
$strErreurMatchM4Manquant = 'Missing match in M4 database!';
$strErreurPremiereManche = 'No first round! Please create and activate at least one round for this match.';
$strErreurServeurManquant = 'Missing server!';
$strErreurStatusActif = 'Bad status! this match must be activated to be launched.';
$strErreurStatusCache = 'Bad status! this match must be hidden to be activated.';
$strErreurStatusDemarre = 'Bad status! this match must be launched to be retrieved.';
$strEtat = 'Status';
$strFiche = 'Form';
$strFichiersAttaches = 'Attached files';
$strFichiersAttachesMatch = 'Attached files for match';
$strFinale = 'Final';
$strFinales = 'Finals';
$strFinalesType = 'Elimination';
$strForfait = 'Withdrawn';
$strForum = 'Forum';
$strFrags = 'Frags';
$strG = 'W';
$strGREEN = 'Green';
$strGagne = 'Win';
$strGeneral = 'Menu';
$strGenerationFinales = 'Finals validation';
$strGenerationPoules = 'Groups validation';
$strGrandFinal = 'Grand Final';
$strGras = 'Bold';
$strGzip = 'Gzip Compression';
$strHidemenu = 'Hide-menu';
$strHistoriqueNews = 'Historic of news';
$strHits = 'Hits';
$strHoraires = 'Schedule';
$strHorloge = 'Clock';
$strICQ = 'ICQ';
$strINDIGO = 'Indigo';
$strIp = 'IP';
$strIcone = 'Icon';
$strImage = 'Image';
$strInformations = 'Informations';
$strInscriptionConfirmMessageEmail = 'Thanks for you registration to '%nomsite%'.<br><br>Do not forget your identifiers below to log in later:<br>------------------<br> Login : <b>%login%</b><br> Pass: <b>%password%</b><br>------------------<br><br><font color=red>CAREFULL, click on the link to finish your pre-registration</font>: %link%<br><br>See you, and good frags!!<br><br>Organising team.<br><br>';
$strInscriptionConfirmMessage = 'Your registration just succeed<br>You will receive a confirmation e-mail which contents an activation link.<br><br>See you, and good frags!!<br><br>Organising team.';
$strInscriptionConfirmMessageOK = 'Your registration just succeed<br><br>Don\'t forget to send us the registration fee<br><br>You can connect to your personnal zone and configure your team if you are the manager<br><br>See you, and good frags!!<br><br>Organising team.';
$strInscriptionConfirmSubjectEmail = '[%nomsite%] Confirmation of the pre-registration';
$strInscriptionMessage = 'Your registration just succeed<br>Do not forget your identifiers:<br>Login : <b>%login%</b><br>Pass: <b>%password%</b><br><br>You can connect to your personnal zone and configure your team if you are the manager<br><br>See you, and good frags!!<br><br>Organising team.';
$strInscriptions = 'Registrations';
$strInscrire = 'Register';
$strInscrit = 'Registered';
$strInscrite = 'Registered';
$strInscrits='Registered';
$Installtype='Type d\'installation :';
$Installtype2 ='Choix du type d\'installation';
$strIrc = 'Irc';
$strIrcChannels = 'Channels';
$strIrcPassword = 'Password';
$strIrcPort = 'Port';
$strIrcServeur = 'Server';
$strItalique = 'Italics';
$strJ = 'P';
$strJeu = 'Game';
$strJeux = 'Games';
$strJoin = 'Join';
$strJoinAvecHlla = "To join the server with the link '$strJoin', you have to download .hlla <a href=\"downloads/hlla0704.exe\">>here<</a> or on <a href=\"http://www.hlla.net\" target=_blank><span style=\"vertical-align: middle;\"><img src=images/hlla.gif align=absmidlle border=0></span></a> and install it";
$strJoueur = 'Player';
$strJoueurs = 'Players';
$strJoueursInscrits = 'Registered players';
$strJoueursPreinscrit = 'Pre-registered players';
$strKOctets = 'Kb';
$strLan = 'Lan';
$strLancerMatch = 'Start matchs';
$strLancerMatchAB = 'Start AdminBot-MX matchs';
$strLancerMatchM4 = 'Start M4 matchs';
$strLangue = 'Language';
$strLangueDefaut = 'Default Language';
$strLe = '';
$strLeaveTeam='Left this team';
$strLeaveTeamALERT='Do you really want left this team ?';
$strLeaveTeambody1='Hello,\nWe inform you, your team meber : ';
$strLeaveTeambody2='\n\nleft your team himslef.\n\nThx for your attention.';
$strLeaveTeambodyM1='Hello,\nNWe inform you, the manager of team : ';
$strLeaveTeambodyM2='\n\nKick you from the team.\n\nThx for your attention.';
$strLeaveTeamM='You can\'t leave this team until you manage it';
$strLeaveTeamtitle='Left your team !';
$strLeaveTeamtitleManager='Your manager kick you from the team';
$strLiens = 'Links';
$strLireMessage = 'Mailbox';
$strListe = 'Liste';
$strLivreDor = 'Guest book';
$strLogin = 'Login';
$strLogo = 'Logo';
$strLooser = 'Looser';
$strM4 = 'M4';
$strM4ID = 'Clan #';
$strMOctets = 'Mb';
$strMSN = 'MSN';
$strMaFiche = 'My card';
$strMailing = 'Mailing';
$strMailNotconfig = 'SMTP Server not defined or user not defined';
$strMaintenance = 'DOWN';
$strManche = 'round';
$strManchesMax = 'Number of Round';
$strManuel = 'Manual';
$strMap = 'Map';
$strMaps = 'Maps';
$strMatch = 'Match';
$strMatchs = 'Matchs';
$strMatchsActifs = 'Scheduled matchs';
$strMatchsEnCours = 'Playing matchs';
$strMatchsFinales = 'Finals matchs';
$strMatchsPoules = 'Groups matchs';
$strMemoire = 'Memory';
$strMesEquipes = 'My teams';
$strMessage = 'Message';
$strMessageLu = 'Ever read messages';
$strMessageNouveau = 'New messages';
$strMessagerie = 'Mail';
$strMinutes = 'minutes';
$strMode = 'Mode';
$strModeEquipe = 'Team mode';
$strModeInscription='Register mode';
$strModeScore = 'Score mode';
$strModifPass = 'Change password';
$strModifier = 'Modify';
$strModifierConfiguration = 'Modify the configuration';
$strModifierNews = 'Modify this news';
$strModifierServeur = 'Modify this server';
$strMods_ladder = 'Admin CP of ladder';
$strMODSPANEL = 'Admin panel of installed mods';
$strModsProfil = 'Mod Affichage Profil';
$strMODDiver = 'Mods Divers';
$strMonEquipe = 'My team';
$strN = 'E';
$strNA = 'N/A';
$strNbLooser = 'Start looser';
$strNbPlaces = 'Number of seats';
$strNbPoules = 'Groups number';
$strNbWinner = 'Start finals';
$strNews = 'News';
$strNewseur = 'Newser';
$strNewseurs='Newsers';
$strNoData = 'No data registred at this time';
$strNom = 'Name';
$strNomTournois = 'Tournament name';
$strNon = 'No';
$strNouveauJoueur = 'New player';
$strNouveauPass = 'New password';
$strNouvelleEquipe = 'New Team';
$strNul = 'Equality';
$strOK = 'OK';
$strOLIVE = 'Olive';
$strORANGE = 'Orange';
$strOctets = 'bytes';
$strOptions = 'Options';
$strOptionsIrc = 'IRC Options';
$strOrigine = 'Origin';
$strOui = 'Yes';
$strP = 'L';
$strPageDotations = '\'prizes\' page';
$strPageInformations = '\'informations\' page';
$strPageNotlist = 'You haven\'t any rubrique at this time';
$strPageNotlist2 = 'You haven\'t any menu at this time';
$strPagePresentation = '\'Introduce\' page';
$strPageReglement = '\'rules\' Page';
$strPageStats = '\'statistics\' page';
$strPagesVues = 'Seen pages until site is online';
$strParticipants = 'Participants';
$strParticipe = 'Participate';
$strPasConnecte = 'Not logged in';
$strPasDInformation ='No information found';
$strPasDeContact = 'No contact found';
$strPasDeDotation = 'No prize found';
$strPasDeDownload = 'No download found';
$strPasDeFichier = 'No files found';
$strPasDeLien = 'No link found';
$strPasDeMatch = 'No match found';
$strPasDeMessage = 'No message found';
$strPasDeNews = 'No news found';
$strPasDeReglement = 'No rules found';
$strPasDeSignature = 'No signature found';
$strPassword = 'Password';
$strPCMODS = 'Configurer les mods';
$strPerdu = 'Lost';
$strPhaseFinales = 'Finals matchs';
$strPhasePoules = 'Groups matchs';
$strphpt_type = 'phpTournois utilisation type';
$strPing = 'Ping';
$strPolice = 'Font';
$strPort = 'Port';
$strPostePar = 'Posted by';
$strPoule = 'Group';
$strPoules = 'Groups';
$strPreinscrit = 'Pre-registered';
$strPreinscrits='Pre-registered';
$strPrenom = 'First Name';
$strPresentation = 'Presentation';
$strProcesseur = 'Processor';
$strProlongation = 'Extended play';
$strPseudo = 'Nickname';
$strPts = 'Pts';
$strPublierServeurDans = 'Publish in';
$strQstatProtocole= 'Protocol Qstat';
$strQuitter = 'Quitter';
$strQuote = 'Quote';
$strRED = 'Red';
$strRang = 'Rang';
$strRecupMatchAB = 'Retreive AdminBot-MX matchs';
$strRecupMatchM4 = 'Retreive M4 matchs';
$strRedigerMessage = 'Write a new message';
$strRegle = 'Rule';
$strReglement = 'Rules';
$strRemettreAZero = 'Reset';
$strRepondre = 'Reply';
$strRepondreMessage = 'Reply to a message';
$strResultats = 'Results';
$strResultatsFinales = 'Finales results';
$strResultatsMatchsPoules = 'Groups matchs results';
$strResultatsPoules = 'Groups results';
$strRetour = 'Back';
$strRule= 'Rules';
$strS = 'X';
$strSInscrire = 'Register';
$strSansDemo = 'empty data';
$strScore = 'Score';
$strSeed = 'Seed';
$strSemaine = 'Week';
$strServeur = 'Server';
$strServeurs = 'Servers';
$strSigle = 'Sigle';
$strSignature = 'Signature';
$strSimpleElimination='Simple';
$strSouligner = 'Underligned';
$strSponsors = 'Sponsors';
$strSrv = 'Srv';
$strStatistiques = 'Statistics';
$strStats = 'Stats';
$strStatus = 'Status';
$strSupprimer = 'Supprimer';
$strSupport = 'Technical Support';
$strTableauxPoules = 'Groups results';
$strTag = 'Tag';
$strTaille = 'Size';
$strTempsDeConnexion = 'Time';
$strTermine = 'Over';
$strTerminerLeTournois = 'Do you want to end the tournament ?';
$strTerminerLesPoules = 'Do you want to end the groups ?';
$strTerminerPoules = 'Finish groups';
$strTerminerTournois = 'Finish the tournament';
$strTitre = 'Title';
$strTitres = 'Titles';
$strTour = 'Turn';
$strTournois = 'Tournament';
$strTous= 'All';
$strTout = 'all';
$strToutDeselectionner = 'Select none';
$strToutSelectionner = 'Select all';
$strToutes = 'All';
$strType = 'Type';
$strTypeTournois = 'Tournament type';
$strUnAllowJoinTeam='Unallow to join any team';
$strUnAllowPrivateMessage='Unallow any private message';
$strUpdate='Up-to-Date';
$strURL = 'URL';
$strUrl = 'Link';
$strVIOLET = 'Purple';
$strVS = 'VS';
$strVainqueur = 'Winner';
$strValeur = 'Value';
$strValider = 'Validate';
$strValiderFinales = 'Validate the finals';
$strValiderLesFinales = 'Do you want to validate the finals ?';
$strValiderLesPoules = 'Do you want to validate the groups ?';
$strValiderPoules = 'Validate the groups';
$strVille = 'City';
$strVisites = 'visits';
$strWHITE = 'White';
$strWeb = 'Web site';
$strWinner = 'Winner';
$strYELLOW = 'Yellow';
$tabJoursSemaine = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
$tabMois = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');




$strServeursConsignes = 'Instructions:<br><li>Fields marqued  <font color=red>*</font> are requiered.
<li>QStat protocol allow to connect special servers (ex: HL->CS) to know their caracteristics (status,players,pings, etc) and their name.
<li>Qstat work only on webhoster who support \'exec\' functionr.
<li>If you use M4 or AdminBot-MX, you have to \'tick\' them in order to insert them in the M4 or Adminbot database.
<li>Carefull, \'Rcon\' field is requiered if you use AdminBot-MX.';

$strInscriptionsJoueursConsignes = 'Instructions:<br><li>Fields marqued  <font color=red>*</font> are requiered. 
<li>Asked password will allow you to authenticate and access to your account later. 
<li>Your e-mail must be valid to validate your account (it will not be given to anyone else).';

$strInscriptionsEquipesConsignes = 'Instructions:<br><li>Fields marqued  <font color=red>*</font> are requiered. 
<li>Verifiy that your team is not already created by another member before to create one.
<li>Field \'Name\' indicate the full name of your team (example : All Against Authority or GoodGame).
<li>Filed \'Tag\' indicate the short name of your team (example : aAa or GG).
<li>Team leader can add players in his team or they can do it themselves if they know the password.';

$strTournoisModifyConsignes = '<li>Field \'score mode\' correspond to the way scores are retrieved. (for example if you use M4, you need to tick it)<br>
<li>Field \'inscription mode\' is used to define if the players/managers can register to the tournament during the registering period.<br>
<li>Field \'number of rounds\' indicate the maximum number of round (map) per match.<br>
<li>Fields \'page X\' are the names of the file Y in the folder /include/html/X/langue/Y (lang = english, etc..). (if these fields are empty, the, these options will be disabled in the menu).<br>
<li>Field \'statistics\' indicate the url of the stats web site for this tournament.
<li>Field \'Uploaded file\' indicate if files can be uploaded for each matches.
<li>Filed \'comments\' indicate if the players of matches could post comments.';

$strTournoisConsignes = "<li>Fields marqued  <font color=red>*</font>  are requiered.
<li>Field 'type' indicates if the tournament is a 'tournament' (groups + finals), 'championship' (only groups) ou 'cup' (only finals).<br>
<li>Field 'team mode' define the mode of tournament: in team or alone.<br>
<li>Field 'match mode' define the mode of scoring management.<br>
<li>Field 'game' must be filled if you want to use the tool to manage maps and servers .";

$strConfigurationConsignes = "<li>Field 'registrations' indicates if the general registrations of teams/players are enabled or not.<br>
<li>Field 'registration email ' define the address to reply to for registrations emails.<br>
<li>Field 'contact email' define the contact email address.<br>
<li>For the others options, it's up to you !!.<br>
<li>Fields 'page X' are the names of the file Y in the folder /include/html/X/langue/Y (lang = english, etc..). (if these fields are empty, the, these options will be disabled in the menu).<br>
<li>IRC options allow you to configure IRC module, channels mentioned (separated by a space) are those performed on connect.<br>";

$strShoutbox= 'Shoutbox';
$strShoutboxlimit = 'Shoutbox line(s)';

$strDecroissant='Decreasing';
$strAvec = 'with';
$strArchiveshout = 'Archives';
$strCroissant='Increasing';
$strShoutdesc = 'and by order';
$strShoutNbcom = 'Comments'; 
$strShoutNbpage = 'Page #';
$strShoutboxlimitc = 'Max caracters.';
$shoutoption = 'Display option';


/////////////////////MOD
$strServerName='Server name';
$strADD_t_server='Display your server on the site';
$strADMINNOTE='Note between admin';
$strRemarque='Comments between admin on the player :';
$strRemarqueEQUIPE='Comments between admin on the team :';
$strbbcode='BBcode style';
$strphpBB='BBcode';
$streditor='Editor';
$strMODS='MODS Admin Panel';
$strMODSC='Note : Each modified buttons treat every MODS';
$strMod='Mods Panel';
$strServerTeam='Add teams servers';

// auto validation d'&eacute;quipe par le manager
$strValid_My_Team ='Validate my team';
$strManag_team ='Manage validation team';
$strTABmanaging='Mods validation team';
$strManag_team_num ='Number of players needed';
$strOk_validation='<b><span style="color:green">Your team has been validated</span></b>';
$strNOOk_validation='<b><span style="color:red;font-size:12">Your team could not be validated.<br>There is still some players missing.<br>If its not the case, make sure your registered in one of the games<br>in which your team is participating. Otherwise, contact an admin.</span></b>';
$strREQ_player='Number of players needed to validate a team :';
$strAuto_valid_def='Team validated at their creation';
// end auto validation d'&eacute;quipe par le manager

$strSIDINV='Please enter your SteamID to register ';
$strSIDINV2='Your SteamID must be wrote like this : STEAM_X:X:XXXXXX';
$strSIDINV3='Your SteamID is being used by another player !';
$strSIDINV4='Invalid SteamID (check the needed box)';
$strSID='SteamID';
$strSID2='I don/t play online games with Steam :';
$strSteamIDO = 'Steamid-req';

$strPremium='Premium';


/********************************************************
 * Mod Rechercher un joueur
 */
$strRechercherJoueur='Find a player';
$strRechecrher='Find';
$strRechInvalide='Sorry, no results found.';
$strRechInvalide2='Sorry, no results found.<br>The similar nicknames found are : ';
$strAc_rechehlp='You can enter only a part of the nickname or "<font color="red">*</font>" to search for every nicknames';
/********************************************************
 * END Mod rechercher un joueur
 */
 
 /********************************************************
 * Mod commandes
 */
$strAc_cnumid='Command ID added at the bottom in \'annule expert\'.<br><font size="-1"><em><i>(A gray checked check box is a box already validated)</i></em></font>';
$strAc_R='Check the boxes from which the costumer received his order.';
$strAc_C='Check the boxes of the completed orders.<br>&nbsp;&nbsp;&nbsp;<i><em>(and so can your costumers come and take their orders)</em></i>';
$strAc_P='Check the boxes of the delivered or paid orders.';
$strAc_A='Check the boxes of the orders &agrave; to be deleted<font color="#FF0000"><strong>Definatly</strong></font>.';
$strAc_euro='$;';
$strAc_infocmd='Information on the order &deg;';
$strAc_acmd='To be ordered';
$strAc_nocmd='No order';
$strAc_cmdmenu='Orders';
$strAC_total='Total';
$strAc_command='order(s),';
$strAc_annueff='Cancel/delete this order';
$strAc_anu='Expert Mode';
$strAc_readme='( Read under this before adding any modification )<br>To validate your selection, click on [- OK -]';
$strAc_cmddejapasser='The order has already been taken';
$strAc_wdoyouwant=', Do you want to validate or cancel ?';
$strAc_cmdlancer='Order in progress';
$strAc_enlever='Delete item';
$strAc_ajouter='Add item';
$strAc_lister='Read the order (validate/cancel)';
$strAc_commandes='Orders';
$strAc_add='Add';
$strAc_name='Name';
$strAc_art='The items';
$strAc_arti='Item';
$strAc_wlisting='Display which listing ?';
$strAc_paiment='Payment';
$strAc_recep='Delivery';
$strAc_cmdarriver='Order arrived';
$strAc_annulation='Cancelation';
$strAc_prix='Price';
$strAc_cmdnum='Order N;';
$strAc_thx='- Thank you -';
$strAc_Composition='Composition';
$strAc_histr='Order historic of : ';
$strAc_cmdtrt='Order taken';
$strAc_areg='(to treat)';
$strAc_cmdestarrive='- Your order as arrived ! -';
$strAc_rechcmdno='No order passed or taken';
$strAc_tuveupi='You want a pizza ? ;-)';
$strAc_comvalide='- Order validated -';
$strAc_comannulee='- Order canceled -';
$strAc_again='Order another ? :';
$strAc_noagain='Order :';
$strAc_similies=' - ;-) -';
$strAc_nocmdactual='- We dont take any more orders for now -';
$strAc_nolatetotakeit='- Take your orders right away once they arrived ! -';
$strAc_cmddejapass='- Your order has been taken.';
$strAc_wewait='- We are waiting for the &quot;items&quot; to be delivered. -';
$strAc_nottime='- The order is still in progress-';
$strAc_notactive='-The orders are not activated.-';
$strAc_listnick='Your search found equivalent nicknames';
$strAc_listnickfailed='Your search found no equivalent nicknames to your entry';
$strAC_alertea='This action will signal to every costumers on this list that their orders has arrived.(they can take it and/or pay it)';
$strAC_alerteregle='This action will make every orders on this list considered as paid.';
$strAC_alerteprit='This action will make every orders on this list marqued as delivered';
$strAC_alertedel='Warning !!!You are about to delete the entire content of this order';
$strAc_youareadmin='Go to the admin page';
$strAc_ifcmdok='If your order (s) has been delivered please click on "Order delievered"<br>to put the order at OFF';
$strAc_consae='<p align="left"><font size="2">How does it work ?, is a good question you ll tell me.';
'<br>At the beginning you had to click one to four time per orders to modify its status to  \ treated\ <br> Now we can view all the orders.<br> The two check boxes above 
fill themselves automatically. The first one will write the orders <font color="#0000FF"><strong>ID</strong></font> 
that you asked to delete.<br>The second will count the number of boxes you checked.
<br><br><font color="#009900"><strong>In case of error (you clicked on the wrong check box) </strong></font><strong>:
</strong><bR> All you have to do is delete the <font color="#0000FF"><strong>ID </strong><font color="#000000">from the list and 
the &quot;pipe&quot; (symbole &quot;|&quot;) found on its right.</font></font><br>Example 2|6|33| you
want to remove the <font color="#0000FF"><strong>ID</strong></font> 6 so you set it to : 2|33|. Finally, downgrade the number of the next box by 1.<br>Example, for 2|6|33| it displayed \'3\' with 2|33| you downgrade 1 to 3 which gives 2.<br>Rien ne vous empches d\'ajouter aussi, n\'oubliez seulement pas d\'incr&eacute;menter la case qui suis ;)</font></p><p align="left"><font size="-1">Si vous trouvez sa trop compliqu&eacute;  cliquez sur <strong>
<font color="#FF0000">RESET</font></strong>. This will erase everything.</font></p><p align="left">
<font size="-1">Have A Good Lan Party!</font></p>';
$strAc_artfin='\'??|</font>\'is your order status &quot;<font color="#FF0000">??</font>&quot; If your order has been treated or not. &quot;<font color="#FF0000"></font>&quot; 
If your order has been delivered or not.<br></em></font>';
$strAc_nocmdsry='- No orders -';
$strAc_youneedloginfirst='You have to be logged in first';
$strAc_pannier='Your &quot;orders&quot;/historic';
$strAc_commander='Ordered';
$strAc_jecpukoimettre='??|';
$strACAlredyExist = 'Order already exist';
$strAC_podevirg='use . than , for the prize ! And use numeric format';
/********************************************************
 * END Mod commandes
 */
$strlastvisit = 'Last seen on :';
$custheme='Change the theme';
$strarbitre = 'Tournament Administrator';
$strElementsNpageExistant = 'Existent page #';
$strElementsNpageInvalide = 'Invalide page #';
$strElementsMenuLien = 'If the page is in the menu, it needs a link';
$strElementsMenuLien2 = 'If the page has a link, it needs a menu';
$strElementsOrdeInvalide2 = 'The link display order must be a number';
$strElementsRubriqueInvalide = 'Invalid rubric';
$strElementsNmenuInvalide='Invalid menu';
$strAjouterPage='Add a page';
$strRubrique='Rubric';
$strNpage='Page #';
$strNmenu='Menu';
$strLien='Link';
$strOrdre='Order';
$strAcces='Access';
$strTous='All';
$strModifierPageR ='Modify the page in which rubric ?';
$strModifierPage='Modify the page';
$strElementsOdreInvalide='The meny display order must be a number';
$strAlign='Align';
$strGauche='Left';
$strDroite='Right';
$strHide='Hidden';
$strModifierMenus='Modify a menu';
$strAjouterMenu='Add a menu';
$strModifierMenu='Modify the menu';
$strScript='Script';
$strpagescript='Authorize HTML';
$strAddPage='Add a page';
$strModPage='Modify page';
$strAddMenu='Managing the menus';
$strLienex = 'Page URL :';

$strMODEnLigne='Colors configuration "online"';
$strMODEnLigneA='Admin';
$strMODEnLigneN='Newseur';
$strMODEnLigneM='Manager';
$strMODEnLigneW='WarAranger';
$strMODEnLigneMo='Modo';

$strCPPW='Winning Points';
$strCPPN='Tied Points';
$strCPPL='Losing Points';
$strCPPF='Forfeit Points';

$strAddPageConsignes = '<li>Title : page title (to easily find it when you want to modify it).<br>
 <li>Rubric : If the page is part of the same rubric/folder. 
 (a scrolling menu) <br>
 show you the available rubric).<br>
 <li>Page # : Doesnt really have any use but it shows the page # within the rubric.<br>
 <li>Menu : The menu that the page will be in (if empty, the page will have to be linked to a link from another page )
 .&nbsp; <br>
 <li>Lien : Text of the link in the menu.<br>
 <li>Ordre : Link position in the menu.&nbsp;<br>
 <li>Acc&eacute;s : Define if the page needs a special rank
 (logged in member, guest, admin ou newseur) <br>The administrators can access every pages.<br>
 <br>
 <li><img src="images/bb_codescript.gif" border="0" /> Display if you authorize the 
 html in the control panel.<br>
 Every script must be placed between buoys [script] [/script] 
 to be interpreted.
 <br>
 &nbsp;';
 //////mod ladder
 $strModsladder='Ladder Admin Panel';
 $strLadder='Ladders';
 $strLadlist='Select a ladder';
 $strMODAddlad='Add a ladder';
 $strLadjeux='Game';
 $strLadType='Type';
 $strRegLad='Ladder rules';
 $strLadName='Ladder name';
 $strMODlistlad='Modify which ladder ?';
 $strLadNameMod='Modify a ladder';
 $strladnodatafoundlist='There isnt any existing latter yet';
 $strLadduel='Start a duel';
 $strLadduel1='Start a duel with this player';
 $strLadduele='Start a duel with this team';
 $strLadduel2='Challenge this player in a duel';
 $strMODAdddel='Delete a ladder';
 $strMODAddclose='Close a ladder';
 $strLadalreadyexist='Insert another name, this one is already taken';
 $strDefier='Challenge';
 $strfrancaisladmail=' His message : ';
 $strfrancaisladmailopp=' You have been challenged by ';
 $strLaditsyou='You cant challenge yourself !';
 $strEcrireMessageLAD='Fill a challenge form';
 $strLadnothingcont='No message specified !';
 $lstrladdual=' Duel !';
 $strLADj1='J1 to be validated';
 $strLADjv='Validate';
 $strLADnotagree='Contest';
 $strLADj2='J2 to be validated';
 $strEcrireRApLAD='Write a report';
 $strLADRapport='Report';
 $strLADneednumeric='The scores must be wrote in decimal.';
 $strLADneedrap='You have to fill in a report !';
 $strLADcheater='!  !  ! C H E A T E R  !  !  !';
 $strLADagree='Confirm';
 $strLADpoints='Points';
 $strLadderV='PtsLad Win';
 $strLadderP='PtsLad Lost';
 $strLadderN='PtsLad Tie';
 $strLADnotagree='Contest';
 $strLADres='Match scores';
 $strLADcomment ='Comment on the match '; 
 $strLADNocoment='No comment has been made.';
 $strLADfairadv='Your opponent Fair Play ';
 $strLadMylad='My Ladders, My matchs';
 $strLADother='';
 $strLADneedvalid='You have to affirm or cancel the report!';
 $strLadVAl='Status and validation panel for your matches';
 $strPasDeFonctionMailLAD = 'Sorry but the mail option is turned off<br>We invite you to visit the user profile<br>of the player you wish to challenge in the case that he would have modified other contacts mail. <br><br><b><u>A message has been sent to him via our internal mail server. !</u></b>';
 $strPasDeFonctionMailLADT = 'Sorry but the mail option is turned off<br>We invite you to visit the team profile<br>of the team you wish to challenge in the case that he would have modified other contacts mail. <br><br><b><u>A message has been sent to the team via our internal mail server. !</u></b>';
 $strLADvalidnotagreeCont='A contest&eacute; votre rapport. Nous vous invitons  confronter vos r&eacute;sultats,\n revalider chacun le match. En cas de litige continue appellez un admin.';
 $strLADvalidnotagree='Ladder validation rejected';
 $strLADcheckref='Click here to watch the selected match';
 $strLadermesmail='challenged you in a ladder. \nMeet him in the ladder section/my matches or answer his message.';
 $strLadMaps = 'Maps';
 $strLadDefpts = 'Point by default';
 $strLadpourcent = 'Percent';
 $strladpts  = 'by points';
 $strladteam = 'by challenger'; 
 $strLad_needname = 'You must be give a name for your ladder';
 $strLad_needrules = 'You must be give rules for your ladder';
 $strLadderADD = '<li class="lib">percent, if not 0, it is for able balancing challanging.<br>sample : you put 5% by point, all team can\'t challange another if their point is below or under 5% of diffrence<li class="lib"> "maps" If player must be define maps played in report.<li class="lib">"Point bu default" The number of point for the new challenger when he comming into the ladder, so he are on middle and not on bottom of list. It\'s should be the best for balancing'; 
 $strLadclosemode = 'Ladder status';
 $strLadclose = 'Closed';
 $strLadopen = 'Open';
 $strRapport = 'Report';
 $strLad_agree='Match Confirm';
 $strLad_refusal='Refuse';
 $strLAD_is_agree = ' is agree for challenge';
 $strLAD_is_disagree = ' prupose another challenge';
 $strLAD_is_disagree2 = ' is disagree for challenge';
 $strLAD_incom = ' A challenger incoming !';
 $strLAD_incom2 = 'Your opponent have been accept the challenge';
 $strLAD_incom3 = 'Your opponent have been prupose another challenge';
 $strLAD_incom4 = 'Your opponent have been refuse the challenge';
 $strLAD_admin_title = 'Cheat alert';
 $strLAD_admin = 'Unautorised match validation have been done.<br /><br />(by wrong player or the match is already validated, URL syntax is used for that.<br />But maybe the challenged player have been clic again on URL on Private Message alerte<br /><br/>For your own prtection we prefer to contact us (automaticaly).<br />Check following data about who have cheated :';
 $strLAD_youdontabletodothis ='You don\'t able to do this.<br>It\'s cheating action.<br />One message with your nickname and IP have been send to all admnisitrator of this website for security';
 $strLAD_refalert = 'Prupose other data for this challenge before validation';
 $strLAD_refusealert = 'Be carefull. If you valide now with this option. All data about this challenge will be detsroyed.';
 $strLAD_other_prupose = 'Prupose other';
 $strLAD_reply = 'Yourmessage :';
 $strLAD_MDate = 'Date of match';
 $strLAD_MatchR = 'End match report'; 
 $strLAD_roundscore = 'Number of round win by :';
 $strLAD_fragscore = 'Number frag of :';
 $strLAD_deathscore = 'Number death of :';
 $strLAD_logresult = 'Match Result';
 $strLAD_round = 'Round';
 $strLAD_constest = 'Don\'t approve your result and prupose following result :';
 $strLAD_you_must_be_wait = 'You must be wait your adversary validation';
 $strLAD_endmatch_agree = 'Results aproved';
 $strLAD_fact = 'Statistic Factor';
 $strLAD_map_error = 'You must be choose a game before maps';
 $strLAD_nodata_match = 'Any match has been found';
 $strLAD_nodata_player = 'Any player has been found';
 $strLAD_nodata_rule = 'No rules';
 $strLAD_nodata_for_match = 'any match proposed and accepted has been found';
 $strLAD_nodata_for_player = 'any player is registred to this ladder';
 $strLAD_nodata_for_result = 'any result has been registred';
 $strLAD_lastmatch = 'Last Match';
 $strLAD_lastresult = 'Last Result';
 $strLAD_yournotmanager = 'You aren\'t manger of any team';
 $strLAD_whosteam = 'What team you want to add ?';
 $strLAD_myunmatch= 'My match : need my validation';
 $strLAD_myvmatch = 'My match : need result';
 $strLAD_mytmatch = 'My match : Finished';
 $strLAD_my_match_p = 'My match : proposed';
 $strLAD_valid_this = 'Accept/refuse panel';
 $strLAD_impose = 'Admin decide match between :';
 $strLAD_is_imp = 'Force the match';
 $strLADfairadv_1='Fairplay adv 1';
 $strLADfairadv_2='Fairplay adv 2';
 $strLADAdminMaps = '<small>(Use CLTR for multi selection or unselect selected map)</small>';
 $strLAD_wanttoleft = 'Are you want to left this ladde ?\nYour data on will will be deleted';
 //end ladder
 
 //mod FAQ
$str_faq_choose='<font size="2" color=blue><b>Choose a category :</b></font>';
$str_faq_admin='.: ADMIN :.';
$str_faq_al1='<font size="2" color="red"><b>There has to be at least one category first</b></font><br><br>';
$str_faq_al2='<font size="2" color="red"><b>There has to be at least one question first</b></font><br><br>';
$str_faq_al3='<font size="2" color="red"><b>There has to be at least two categories first</b></font><br><br>';
$str_faq_al4='<font size="2" color="red"><b>There has to be at least two questions first</b></font><br><br>';
$str_faq_al5='<font size="2" color="green"><b>Deleted Category</b></font><br><br>';
$str_faq_al6='<font size="2" color="red"><b>No empty fields please</b></font><br><br>';
$str_faq_actA='Add Category';
$str_faq_actB='Add Question/Answer';
$str_faq_actC='Modify Category';
$str_faq_actD='Modify Question/Answer';
$str_faq_actE='Reorganize Category';
$str_faq_actF='Reorganize Question/Answer';
$str_faq_actG='Delete Cat&eacute;gory';
$str_faq_actH='Delete Question/Answer';
$str_faq_actI='Switch Question/Answer';
$str_faq_addq='Added Question';
$str_faq_addqr='Add a Question/Answer :';
$str_faq_in='In the category :';
$str_faq_q='Question :';
$str_faq_r='Answer :';
$str_faq_par='From :';
$str_faq_nothing='There is no question in this category';
$str_faq_inter='Question switched !';
$str_faq_mettre='Put :';
$strFaq='FAQ :';
$str_faq_error='Sorry but there is no existing category yet';
 //end FAQ
 
 //FORUM 
 $strAjouterReponse='Add an answer';
 $strModifyReponse='Modify an answer';
 $strFLast='Last message from :';
 $strTopic='Topic :';
 $strTopicde='Created by :';
 $strAjouterCategorie='Add a category';
 $strDesc='Desctription';
 $strEffcaerCategorie='Delete category';
 $strFdep='Move topics in '; 
 $strFneedlog='You have to be logged in to<br>create a topic.';
 $strFdelall='Delete without moving';
 $strFras='There is no existing category yet';
 $strEditeCategorie='Edit the category';
 //v2
 $strFNbpage ='Page #';
 //$strAvec='with';
 $strFnbtop='topics';
 $strFnbsub='answers';
 $strFnbtdd='and by order';
 //$strCroissant='increasing';
 $strDecroissant='decreasing';
 $strModo='Modo';
 $strFedit='Messaged edited on :';
 $strBy='from';
 //end v2
 $strForumnbpost='Number of posts on the forum';
 $strNbpost='Messages';
 $strRkforum='Forum title';
 $strAjouterTopic='Add Topic';
 $strWhereDep='Move topic in the category';
 $strDepsujet='Move all topics';
 $strDelsujet='Delete this post';
 $strEdsujet='Edit this post';
 $strReservedTo='Accessible to';
 $strReservedTonb='<br>note : The administrator can access everything, uncheck everything for an "admin only" category';
 $strDelCatCookie='Delete cookies from this category';
 $strIWTL='Close this topic';
 $strIWTUL='Open this topic';
 $strSujet='Topic';
 $strMessage='Messages';
 $strDernier='Last';
 $strFrasUnacces='No topic can be accessed with your status level. Log in first if its not already done.<br>If you still cant access the desired topic, contact an administator with your rank (user, manager, modo...).';
 $forum_need_more_ac='<small>Result need admin/modo or user rank for acess</small>';
 $strPost_id = 'Post n';
 $strPost_link = 'You can use the link in the box bellow for directlink to this post';
 //END FORUM

$strPageDeBBcode='BBcode help page';

// top 10
$strtop10='MODS "TOP 10" DL';
$strtop10dl='Block downloads';
$strtop10player='Newest members';
$strlastresult='5 last scores';
$strlastnews='10 last news';
$strlastnews_header='5 last news in header';
$strlastnews5='5 last News';
$strNoresultnow='No score yet...';
$strNonewsnow='No news yet';
$strtop10_mod='Mod type "TOP"';

/* Fichier plan.php */
$strLibre = 'Free';
$strEquipePresente = 'Team already in the challenge room';
$strEquipeNonDefini = 'No team has been selected';
$strJoueurNonManager= 'Your not manager of any team';
$strChoixEmplacement = 'Select a location';
$strSelectionEquipeConsignes = '<li>Only team managers can reserve places. The location you selected is <font color=red>only a wish</font> of position..</li>
<li>If you wish to change the location, contact an administrator</li>';
$strAdministrationReservation = 'Room Administration';
$strPlanSalle = 'Room plan';

//admin tournois
//special arbitre
$strarbitre = 'The referees';
$strInscriptionsTournoisArbitre = 'Contact an admin only if needed';

//search
$strTopic='Topic';
$strFLast='De';
$strRechecrher='Search';
$strRechercher='Search';
$strRechercherJoueur='Search a player';
$strElementsSearchInvalide='Search incomplete';
$strSearchUnresult='No result.';
$strS_listtnick_error='No player found.';
$strS_listnick='Search find these players';
$strS_listteam_error='No team found.';
$strS_listteam='Search found these teams';
$strS_listnews_error='No news found.';
$strS_forum_error='No TOPIC found';
$strS_nomatch = 'Sorry, Search failed.';
$strRechercherSteam=' Search a STEAM_ID ';
$strS_listtsteam_error=' No STEAM_ID found.';
$strS_liststeam='Search found these STEAM_ID';
$strElementsSteamInvalide='You must specify a STEAM_ID';
// end search



// RANK
$strRang_a='Is an Admin-Master';
$strRang_b='Is an Admin';
$strRang_c='Can modify config & mod';
$strRang_d='Can manage Downloads';
$strRang_e='Can manage teams';
$strRang_f='Is a FAQ-Master';
$strRang_g='Is a Web-Master';
$strRang_h='Can manage affiliates (links)';
$strRang_i='Can manage the guest book';
$strRang_j='Can manage the players';
$strRang_k='Can manage the room plan';
$strRang_l='Can manage the mailing list';
$strRang_m='Is a Moderator';
$strRang_n='Is a Newser';
$strRang_o='Can access the admin menu';
$strRang_p='Manage the partners';
$strRang_q='Manage the gallery';
$strRang_r='Manage the servers';
$strRang_s='Manage the Sponsors';
$strRang_t='Manage the tournaments/maps/ganes';
$strRang_u='Manage the Ladders/maps/games';
$strRang_v='Manage AdminBot and M4';
$strRang_w='Can edit the users ranks';
$strRang_x='Manager of at least one team';
$strRang_y='WarArranger of at least one team';
$strRang_z='User (if not = banned)';
$strEdit_rang='Edit powers';
$strRang_wrong='You cannot edit Admin-Masters powers <br>if your not one yourself !';
//RANK
$strFLOG='Administrators wants everyone to identify themselves.';
$strFtitle_sec='Security';
$strFtitle='Force the login';

// fix BBcode JAVA
$strL_BBCODE_B_HELP='Bold Text: [b]texte[/b] (alt+b)';
$strL_BBCODE_I_HELP='Italic Text: [i]texte[/i] (alt+i)';
$strL_BBCODE_U_HELP='Underlined Text: [u]texte[/u] (alt+u)';
$strL_BBCODE_Q_HELP='Quotation: [quote]quotation text[/quote] (alt+q)';
$strL_BBCODE_C_HELP='Code display: [code]code[/code] (alt+c)';
$strL_BBCODE_L_HELP='List: [list]texte[/list] (alt+l)';
$strL_BBCODE_O_HELP='Orderly List: [list=]texte[/list] (alt+o)';
$strL_BBCODE_P_HELP='Insert an Image: [img]http://image_url/[/img] (alt+p)';
$strL_BBCODE_W_HELP='Insert a Link: [url]http://url/[/url] or [url=http://url/]Nom[/url] (alt+w)';
$strL_BBCODE_S_HELP='Text Color: [color=red]texte[/color] hint: #FF0000 works too';
$strL_BBCODE_F_HELP='Text Size: [size=x-small]small text[/size]';
$strL_BBCODE_A_HELP='Close all the open BBCode Buoys';
$strL_BBCODE_N_HELP='The BBCode wont be interpreted between these buoys [noBBcode][B]not in bold[/B][/nobbcode]';
$strL_BBCODE_CLOSE_TAGS='Close the buoys';
$strL_EMPTY_MESSAGE='There is no content !';
$strL_STYLES_TIP='Hint: Une mise en forme peut tre appliqu&eacute;e au texte s&eacute;lectionn&eacute;';
$strAlignHelp='Text Alignement: [align=center]Text center[/align]';
$strAlign='Align';
$strLeft='To Left';
$strRight='To Right';
$strCenter='Centrer';
$strJustify='Justified';
$strSurligner='Highlighted';
$strSurligner_help='Highlighting the text [bgcolor=red]Red highlighted text[/bgcolor]';
// end fox BBcode JAVA

// MOD LEFT TEAM
$strLeaveTeam='Quit this team';
$strLeaveTeamALERT='Do you really want to quit this team ?';
// END MOD LEFT TEAM

//pc
$strADMINPANEL='Admin panel';
// end pc

//sondage
$strBaseInexistante='The database doesn\'t exist, So it\'s not updated.';
$strNoSondage = 'No poll';
$strSondage = 'Poll';
$strAllSondage = 'See all';
$strVoter = 'Vote';
$strAdminSondage = 'Poll Admin Panel';
$strAddSondage = 'Add poll';
$strModSondage = 'Modify poll';
$strDelSondage = 'Del poll';
$strCloseSondage = 'Close poll';
$strSondageName = 'Name of poll';
$strOptSondage = 'Poll\'s option';
$strOption = 'Option';
$strRank = 'Rank';
$strAddOption = 'Add <input type=\'text\' name=\'nb_opt\' value=\'1\' maxlength=\'2\' size=\'2\'> option(s)';
$strNoSondageName = 'You must be give a poll name';
$strNoSondageOptions = 'You must be select one option';
$strConfirmDelSondage = 'Do you want del poll';
$strConfirmCloseSondage = 'Do you want close poll';
$strVoteSondage = 'Vote for this poll';
$strSondClosed = '(closed)';
$strAlreadyVoted = 'You have already vote for this poll';
$strVote = 'Vote';

//update  & install :
$strConfiguration_general='General configuration';
$strSessions_variables='Session variables';
$strFlood_variable='Flood variables';
$strtable_col='Number of column for the tables';
$strnumxp='Number of ... per pages';
$strnb_news_max = 'News';
$strnb_news_commentaires_max = 'News comments';
$strnb_matchs_commentaires_max = 'Match comments';
$strnb_livredor_max = 'Guests book signature';
$strnb_gallery_thumb = 'Gallery Image';
$strnb_sondage_commentaires_max = 'Survey comments';
$strsess_cookie_min = 'Cookies duration';
$strsess_gc_days = 'Session (gc) in days';
$strstats_timeout = 'Duration of stats backups';
$strflood_time = 'Flood time';
$strx_delta_simple = 'Simple tree';
$strx_delta_double = 'Double tree';
$strcol_equipes = 'Team column';
$strcol_joueurs = 'Players column';
$strcol_poules = 'colone poules';
$strcol_matchs_poules = 'Group Match column';
$strcol_maps = 'Maps column';
$strcol_jeux = 'Games column';
$strcol_serveurs = 'Server column';
$strcol_administrateurs = 'Admins column';
$strcol_avatar_gallerie = 'Avatars column (galleries)';
$strcol_sponsors = 'Sponsors Column ';
$strcol_categories = 'Categories Column';
$strcol_gallery_thumb = 'Gallery Column (thumb)';
$strtm4rulecfg = '.cfg files of M4 rules';
$strm4campscfg = 'Camp types';
$strm4autostartcfg = 'Auto-start';
$strm4prolongationcfg = 'Prolongation';
$strabrulecfg = 'cfg rules';
$strabcampscfg = 'Camp types';
$strabautostartcfg = 'auto start';
$strabprolongationcfg = 'prolongation';
$strInstallStage3Delupdatel = 'Warning! the file update.php can\'t be deleted<br><u>For your site security,</u> it is <u>STRONGLY RECOMMANDED</u> to delete this file manually';

//news english
$strNews2='English version';
$strElementsTitreInvalide2='English news title is not valid';
$strElementsContenuInvalide2='English news body is not valid';
$strNewsUK='Turn on english news';

$str_phptteam = "Cordialy,<br>phpTournois Team";
$X = 'Wait opponent agreement';
$A = 'Wait challenger agreement';
$B = 'Wait result';
$D = 'Match Invite';
$V = 'Match Finished';

//export
$strEXPORT_tree = 'Export tree of tournament';
$strEXPORT_done = 'Tree has been exported in include/export/f_';
$strEXPORT_done2 = 'Use this for link export page :';
$strEXPORT_name = 'Link title';

$strTG4JOINT='Join team';
$strTG4NT='New team';
$strTG4MT='My team';
$strTG4MP='PM';
$strTG4MPB='New PM!';
$strTG4MPNB='PM box';
$strLinkex='Link exchange!';
$strMessageenvoyez = 'Your message has been send.';

$strTop10dl = 'Top 10 DL';
$strLastregistred= 'last Registred';

$str_phpTG4_v = 'Your version is :';
$str_phpTG4_vo = 'Latest version is :';

$strPMED = 'Message has been send by PM';
$strPMED_no = 'Message can\'t send by PM : no mail configured';
$install_error = 'You can\'t install if g4.g4 file is on the root of phpTG4 !';
?>
